aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSebastien Douheret <sebastien.douheret@iot.bzh>2018-07-06 11:31:38 +0200
committerSebastien Douheret <sebastien.douheret@iot.bzh>2018-07-07 20:39:47 +0000
commit4d76c5679e664c307036dd495ff79679079d9f71 (patch)
tree3493436297010002bbcf3a52120b98c8d324a917
parentbdf4c9b8962dfdf844f27f2073b4ee98f21a428e (diff)
Add retry (3 times) when glide download fails
Change-Id: Iee5aaf12a5d097880c440a50424c1490e8febf06 Signed-off-by: Sebastien Douheret <sebastien.douheret@iot.bzh>
-rw-r--r--Makefile11
-rwxr-xr-xscripts/get-syncthing.sh16
2 files changed, 15 insertions, 12 deletions
diff --git a/Makefile b/Makefile
index 1fc5558..dc185a7 100644
--- a/Makefile
+++ b/Makefile
@@ -95,7 +95,10 @@ endif
ifeq ($(SUB_VERSION), )
PACKAGE_ZIPFILE := $(TARGET)_$(ARCH)-$(VERSION).zip
else
- PACKAGE_ZIPFILE := $(TARGET)_$(ARCH)-$(VERSION)_$(SUB_VERSION).zip
+ # only use dot as separator to allow rpm packaging (see version .spec file)
+ PK_VER := $(subst _,.,$(subst -,,$(VERSION)))
+ PK_SBVER := $(subst _,.,$(subst -,,$(SUB_VERSION)))
+ PACKAGE_ZIPFILE := $(TARGET)_$(ARCH)-$(PK_VER).$(PK_SBVER).zip
endif
@@ -129,7 +132,7 @@ clean:
.PHONY: distclean
distclean: clean
- cd $(ROOT_SRCDIR) && rm -rf $(LOCAL_BINDIR) ./tools ./glide.lock ./vendor ./*.zip ./webapp/node_modules ./webapp/dist
+ (cd $(ROOT_SRCDIR) && rm -rf $(LOCAL_BINDIR) ./tools ./glide.lock ./vendor ./*.zip ./webapp/dist ./webapp/node_modules)
webapp: webapp/install
ifneq ($(SKIP_WEBAPP_BUILD), true)
@@ -193,7 +196,7 @@ tools/glide:
@test -f $(LOCAL_TOOLSDIR)/glide || { \
echo "Downloading glide"; \
mkdir -p $(LOCAL_TOOLSDIR); \
- curl --silent -L https://glide.sh/get | GOBIN=$(LOCAL_TOOLSDIR) sh; \
+ curl --silent --connect-timeout 60 --retry 3 -L https://glide.sh/get | GOBIN=$(LOCAL_TOOLSDIR) sh; \
}
.PHONY: tools/syncthing
@@ -219,7 +222,7 @@ checkgover:
.PHONY: help
help:
@echo "Main supported rules:"
- @echo " all (default)"
+ @echo " all (default)"
@echo " build"
@echo " package"
@echo " install"
diff --git a/scripts/get-syncthing.sh b/scripts/get-syncthing.sh
index a2993c2..5362573 100755
--- a/scripts/get-syncthing.sh
+++ b/scripts/get-syncthing.sh
@@ -23,7 +23,7 @@
# XXX - may be cleanup
# Used as temporary HACK while waiting merge of #165
#[ -z "$SYNCTHING_INOTIFY_VERSION" ] && { SYNCTHING_INOTIFY_VERSION=master; SYNCTHING_INOTIFY_CMID=af6fbf9d63f95a0; }
-[ -z "$DESTDIR" ] && DESTDIR=/usr/local/bin
+[ -z "$DESTDIR" ] && DESTDIR=/opt/AGL/xds/agent
[ -z "$TMPDIR" ] && TMPDIR=/tmp
[ -z "$GOOS" ] && GOOS=$(go env GOOS)
[ -z "$GOARCH" ] && GOARCH=$(go env GOARCH)
@@ -63,12 +63,12 @@ fi
${GPG} -q --keyserver pool.sks-keyservers.net --recv-keys 37C84554E7E0A261E4F76E1ED26E6ED000654A3E || exit 1
tarball="syncthing-${GOOS_ST}-${GOARCH}-v${SYNCTHING_VERSION}.${TB_EXT}" \
- && curl -sfSL "https://github.com/syncthing/syncthing/releases/download/v${SYNCTHING_VERSION}/${tarball}" -O \
- && curl -sfSL "https://github.com/syncthing/syncthing/releases/download/v${SYNCTHING_VERSION}/sha1sum.txt.asc" -O \
- && gpg -q --verify sha1sum.txt.asc \
- && grep -E " ${tarball}\$" sha1sum.txt.asc | sha1sum -c - \
- && rm -rf sha1sum.txt.asc syncthing-${GOOS_ST}-${GOARCH}-v${SYNCTHING_VERSION}
- if [ "${TB_EXT}" = "tar.gz" ]; then
+ && curl --connect-timeout 60 --retry 3 -sfSL "https://github.com/syncthing/syncthing/releases/download/v${SYNCTHING_VERSION}/${tarball}" -O \
+ && curl --connect-timeout 60 --retry 3 -sfSL "https://github.com/syncthing/syncthing/releases/download/v${SYNCTHING_VERSION}/sha1sum.txt.asc" -O \
+ && gpg -q --verify sha1sum.txt.asc \
+ && grep -E " ${tarball}\$" sha1sum.txt.asc | sha1sum -c - \
+ && rm -rf sha1sum.txt.asc syncthing-${GOOS_ST}-${GOARCH}-v${SYNCTHING_VERSION}
+ if [ "${TB_EXT}" = "tar.gz" ]; then
tar -xvf "$tarball" --strip-components=1 "$(basename "$tarball" .tar.gz)"/syncthing \
&& mv syncthing ${DESTDIR}/syncthing || exit 1
else
@@ -102,7 +102,7 @@ if [ "$SYNCTHING_INOTIFY_VERSION" = "master" ]; then
else
tarball="syncthing-inotify-${GOOS_STI}-${GOARCH}-v${SYNCTHING_INOTIFY_VERSION}.${TB_EXT}"
- curl -sfSL "https://github.com/syncthing/syncthing-inotify/releases/download/v${SYNCTHING_INOTIFY_VERSION}/${tarball}" -O || exit 1
+ curl --connect-timeout 60 --retry 3 -sfSL "https://github.com/syncthing/syncthing-inotify/releases/download/v${SYNCTHING_INOTIFY_VERSION}/${tarball}" -O || exit 1
rm -rf syncthing-inotify-${GOOS_STI}-${GOARCH}-v${SYNCTHING_INOTIFY_VERSION}
if [ "${TB_EXT}" = "tar.gz" ]; then
tar -xvf "${tarball}" syncthing-inotify && mv syncthing-inotify ${DESTDIR}/syncthing-inotify || exit 1